spring:
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 172.16.5.230:8848
        namespace: ${spring.profiles.active}
      config:
        # 配置中心地址
        server-addr: 172.16.5.230:8848
        namespace: ${spring.profiles.active}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        #shared-configs:
        #  - application.${spring.cloud.nacos.config.file-extension}
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    druid:
      url: jdbc:mysql://172.16.5.230:3306/heyu_api?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: heyu_api
      password: 'Ro_d39PlM^#8^f!2'
      initial-size: 10
      max-active: 10
      min-idle: 5
      max-wait: 60000
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 20
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      #Oracle需要打开注释
      validation-query: SELECT 1
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: false
        wall:
          config:
            multi-statement-allow: true

  redis:
    password: A_kMn84#@^_Lmc
    port: 6379
    host: 172.16.5.230
    timeout: 5000
  rabbitmq:
    host: 172.16.5.230
    port: 5672
    username: admin
    password: XiIg37HKfQg2





